# Generated by Django 3.2.9 on 2022-10-04 12:19
import os

from django.contrib.postgres.lookups import Unaccent
from django.db import migrations, models
from django.db.models import F, Value
from django.db.models.functions import Upper

FILE = os.path.dirname(__file__)


def migration_code(apps, schema_editor):
    BannedWordFromIndex = apps.get_model("autocomplete_multi_models", "BannedWordFromIndex")
    BannedWordFromIndex.objects.bulk_create(
        [
            BannedWordFromIndex(word=w)
            for w in map(str.strip, open(os.path.join(FILE, '..', 'banned_words')).readlines())
            # if not BannedWordFromIndex.objects.filter(word=Unaccent(Upper(Value(w)))).exists()
        ]
    )
    BannedWordFromIndex.objects.update(word=Unaccent(Upper(F('word'))))


class Migration(migrations.Migration):
    dependencies = [
        ('autocomplete_multi_models', '0002_add_count'),
    ]

    operations = [
        migrations.CreateModel(
            name='BannedWordFromIndex',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('word', models.CharField(db_index=True, max_length=64, unique=True)),
            ],
            options={
                'verbose_name_plural': 'Banned words from index',
            },
        ),
        migrations.RunPython(migration_code, reverse_code=migrations.RunPython.noop),
    ]
